Page MenuHomePhabricator
Paste P376

Mariadb role output labs
ActivePublic

Authored by thcipriani on Mar 9 2015, 9:50 PM.
root@staging-db1:~# puppet agent -t
Info: Retrieving plugin
Info: Loading facts in /var/lib/puppet/lib/facter/puppet_vardir.rb
Info: Loading facts in /var/lib/puppet/lib/facter/ec2id.rb
Info: Loading facts in /var/lib/puppet/lib/facter/physicalcorecount.rb
Info: Loading facts in /var/lib/puppet/lib/facter/puppet_config_dir.rb
Info: Loading facts in /var/lib/puppet/lib/facter/lldp.rb
Info: Loading facts in /var/lib/puppet/lib/facter/initsystem.rb
Info: Loading facts in /var/lib/puppet/lib/facter/root_home.rb
Info: Loading facts in /var/lib/puppet/lib/facter/pe_version.rb
Info: Loading facts in /var/lib/puppet/lib/facter/apt.rb
Info: Caching catalog for i-00000929.eqiad.wmflabs
Info: Applying configuration version '1425932774'
Notice: instanceproject: staging
Notice: /Stage[main]/Role::Labs::Instance/Notify[instanceproject: staging]/message: defined 'message' as 'instanceproject: staging'
Notice: hostname: staging-db1
Notice: /Stage[main]/Role::Labs::Instance/Notify[hostname: staging-db1]/message: defined 'message' as 'hostname: staging-db1'
Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install mariadb-server-5.5' returned 100: Reading package lists...
Building dependency tree...
Reading state information...
The following extra packages will be installed:
libmariadbclient18 libmysqlclient18 mariadb-client-5.5
mariadb-client-core-5.5 mariadb-common mariadb-server-core-5.5 mysql-common
Suggested packages:
tinyca mariadb-test
Recommended packages:
libhtml-template-perl
The following packages will be REMOVED:
mysql-client-5.5 mysql-client-core-5.5
The following NEW packages will be installed:
libmariadbclient18 mariadb-client-5.5 mariadb-client-core-5.5 mariadb-common
mariadb-server-5.5 mariadb-server-core-5.5
The following packages will be DOWNGRADED:
libmysqlclient18 mysql-common
0 upgraded, 6 newly installed, 2 downgraded, 2 to remove and 36 not upgraded.
Need to get 31.6 MB of archives.
After this operation, 69.1 MB of additional disk space will be used.
E: There are problems and -y was used without --force-yes
Error: /Stage[main]/Mariadb::Packages/Package[mariadb-server-5.5]/ensure: change from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install mariadb-server-5.5' returned 100: Reading package lists...
Building dependency tree...
Reading state information...
The following extra packages will be installed:
libmariadbclient18 libmysqlclient18 mariadb-client-5.5
mariadb-client-core-5.5 mariadb-common mariadb-server-core-5.5 mysql-common
Suggested packages:
tinyca mariadb-test
Recommended packages:
libhtml-template-perl
The following packages will be REMOVED:
mysql-client-5.5 mysql-client-core-5.5
The following NEW packages will be installed:
libmariadbclient18 mariadb-client-5.5 mariadb-client-core-5.5 mariadb-common
mariadb-server-5.5 mariadb-server-core-5.5
The following packages will be DOWNGRADED:
libmysqlclient18 mysql-common
0 upgraded, 6 newly installed, 2 downgraded, 2 to remove and 36 not upgraded.
Need to get 31.6 MB of archives.
After this operation, 69.1 MB of additional disk space will be used.
E: There are problems and -y was used without --force-yes
Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install mariadb-client-5.5' returned 100: Reading package lists...
Building dependency tree...
Reading state information...
The following extra packages will be installed:
libmariadbclient18 libmysqlclient18 mariadb-client-core-5.5 mariadb-common
mysql-common
The following packages will be REMOVED:
mysql-client-5.5 mysql-client-core-5.5
The following NEW packages will be installed:
libmariadbclient18 mariadb-client-5.5 mariadb-client-core-5.5 mariadb-common
The following packages will be DOWNGRADED:
libmysqlclient18 mysql-common
0 upgraded, 4 newly installed, 2 downgraded, 2 to remove and 36 not upgraded.
Need to get 7715 kB of archives.
After this operation, 12.2 MB disk space will be freed.
E: There are problems and -y was used without --force-yes
Error: /Stage[main]/Mariadb::Packages/Package[mariadb-client-5.5]/ensure: change from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install mariadb-client-5.5' returned 100: Reading package lists...
Building dependency tree...
Reading state information...
The following extra packages will be installed:
libmariadbclient18 libmysqlclient18 mariadb-client-core-5.5 mariadb-common
mysql-common
The following packages will be REMOVED:
mysql-client-5.5 mysql-client-core-5.5
The following NEW packages will be installed:
libmariadbclient18 mariadb-client-5.5 mariadb-client-core-5.5 mariadb-common
The following packages will be DOWNGRADED:
libmysqlclient18 mysql-common
0 upgraded, 4 newly installed, 2 downgraded, 2 to remove and 36 not upgraded.
Need to get 7715 kB of archives.
After this operation, 12.2 MB disk space will be freed.
E: There are problems and -y was used without --force-yes
Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install mariadb-server-core-5.5' returned 100: Reading package lists...
Building dependency tree...
Reading state information...
The following packages were automatically installed and are no longer required:
libaio1 mysql-client-core-5.5
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
libmariadbclient18 libmysqlclient18 mariadb-common mysql-common
The following packages will be REMOVED:
mysql-client mysql-client-5.5 percona-xtrabackup
The following NEW packages will be installed:
libmariadbclient18 mariadb-common mariadb-server-core-5.5
The following packages will be DOWNGRADED:
libmysqlclient18 mysql-common
0 upgraded, 3 newly installed, 2 downgraded, 3 to remove and 36 not upgraded.
Need to get 6207 kB of archives.
After this operation, 78.0 MB disk space will be freed.
E: There are problems and -y was used without --force-yes
Error: /Stage[main]/Mariadb::Packages/Package[mariadb-server-core-5.5]/ensure: change from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install mariadb-server-core-5.5' returned 100: Reading package lists...
Building dependency tree...
Reading state information...
The following packages were automatically installed and are no longer required:
libaio1 mysql-client-core-5.5
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
libmariadbclient18 libmysqlclient18 mariadb-common mysql-common
The following packages will be REMOVED:
mysql-client mysql-client-5.5 percona-xtrabackup
The following NEW packages will be installed:
libmariadbclient18 mariadb-common mariadb-server-core-5.5
The following packages will be DOWNGRADED:
libmysqlclient18 mysql-common
0 upgraded, 3 newly installed, 2 downgraded, 3 to remove and 36 not upgraded.
Need to get 6207 kB of archives.
After this operation, 78.0 MB disk space will be freed.
E: There are problems and -y was used without --force-yes
Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install libmariadbclient18' returned 100: Reading package lists...
Building dependency tree...
Reading state information...
The following extra packages will be installed:
libmysqlclient18 mariadb-common
The following NEW packages will be installed:
libmariadbclient18 mariadb-common
The following packages will be DOWNGRADED:
libmysqlclient18
0 upgraded, 2 newly installed, 1 downgraded, 0 to remove and 37 not upgraded.
Need to get 839 kB of archives.
After this operation, 297 kB disk space will be freed.
E: There are problems and -y was used without --force-yes
Error: /Stage[main]/Mariadb::Packages/Package[libmariadbclient18]/ensure: change from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install libmariadbclient18' returned 100: Reading package lists...
Building dependency tree...
Reading state information...
The following extra packages will be installed:
libmysqlclient18 mariadb-common
The following NEW packages will be installed:
libmariadbclient18 mariadb-common
The following packages will be DOWNGRADED:
libmysqlclient18
0 upgraded, 2 newly installed, 1 downgraded, 0 to remove and 37 not upgraded.
Need to get 839 kB of archives.
After this operation, 297 kB disk space will be freed.
E: There are problems and -y was used without --force-yes
Notice: Finished catalog run in 18.10 seconds
root@staging-db1:~# apt-cache madison libmysqlclient18
libmysqlclient18 | 5.5.41-0ubuntu0.12.04.1 | http://nova.clouds.archive.ubuntu.com/ubuntu/ precise-updates/main amd64 Packages
libmysqlclient18 | 5.5.41-0ubuntu0.12.04.1 | http://security.ubuntu.com/ubuntu/ precise-security/main amd64 Packages
libmysqlclient18 | 5.5.34+maria-1~precise | http://apt.wikimedia.org/wikimedia/ precise-wikimedia/mariadb amd64 Packages
libmysqlclient18 | 5.5.22-0ubuntu1 | http://nova.clouds.archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
mysql-5.5 | 5.5.22-0ubuntu1 | http://nova.clouds.archive.ubuntu.com/ubuntu/ precise/main Sources
mysql-5.5 | 5.5.41-0ubuntu0.12.04.1 | http://nova.clouds.archive.ubuntu.com/ubuntu/ precise-updates/main Sources
mysql-5.5 | 5.5.41-0ubuntu0.12.04.1 | http://security.ubuntu.com/ubuntu/ precise-security/main Sources
mariadb-5.5 | 5.5.34+maria-1~precise | http://apt.wikimedia.org/wikimedia/ precise-wikimedia/mariadb Sources
root@staging-db1:~# dpkg -l | grep -i libmysqlclient18
ii libmysqlclient18 5.5.41-0ubuntu0.12.04.1 MySQL database client library
root@staging-db1:~# cat /etc/*-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=12.04
DISTRIB_CODENAME=precise
DISTRIB_DESCRIPTION="Ubuntu 12.04.5 LTS"
NAME="Ubuntu"
VERSION="12.04.5 LTS, Precise Pangolin"
ID=ubuntu
ID_LIKE=debian
PRETTY_NAME="Ubuntu precise (12.04.5 LTS)"
VERSION_ID="12.04"

Event Timeline

thcipriani edited the content of this paste. (Show Details)Mar 9 2015, 9:50 PM
thcipriani changed the title of this paste from untitled to Mariadb role output labs.
thcipriani updated the paste's language from autodetect to autodetect.
thcipriani edited the content of this paste. (Show Details)